Jump to content

Recommended Posts

Hi to all,

 

just a question: Is it sensefull to downgrade the firmware to 1.9 or below? 

For the sound, as it seems, yes BUT will it be still compatible with the Workbench HD and the Helix in that way as it is now?


Watching a few youtube videos made me curious about the sounding. It seems the HD firmware sounds different. Not bad at all but that different that it‘s worth a try. 

 

Regards

 

PS: If the answer is yes, what version should I choose?

Share this post


Link to post
Share on other sites

Someone will no doubt correct me if I'm wrong, but I believe that version 2 and above were built for HD models and Workbench HD.

Share this post


Link to post
Share on other sites

cbrillow,... correct. Anything below v2.00 will not work with Workbench HD, so the original Workbench

would have to be used. There is no compatibility or portability between the between the two versions.

 

Share this post


Link to post
Share on other sites
5 hours ago, psarkissian said:

cbrillow,... correct. Anything below v2.00 will not work with Workbench HD, so the original Workbench

would have to be used. There is no compatibility or portability between the between the two versions.

 

Thanks for the info... I am asking because I had no interface for firmware installation. It came not with my used bought jtv-59. 

With the helix connected to the pc I was able to play with the sounds but no reset or downgrade and upgrade. Reset is not possible without installing the firmware. It‘s changed since 2.0. I guess the  interface should arrive the next days. Let‘s see how it works out for me. ;-)

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

×